
# only use this with device of CC larger than 6.0
IF(VF_DOUBLE_ACCURACY)
    set(CMAKE_CUDA_ARCHITECTURES 60)
ENDIF(VF_DOUBLE_ACCURACY)
set(CMAKE_CUDA_FLAGS_DEBUG " -G" CACHE STRING "" FORCE)

#############################################################
###                  Virtual Fluids GPU                   ###
#############################################################

add_subdirectory(src/gpu/GridGenerator)
add_subdirectory(src/gpu/VirtualFluids_GPU)

add_subdirectory(src/gpu/GksMeshAdapter)
add_subdirectory(src/gpu/GksGpu)

add_subdirectory(apps/gpu/LidDrivenCavityGPU)
add_subdirectory(apps/gpu/Cases_1_3_5_7)
add_subdirectory(apps/gpu/Cases_2_4_6_8)
